Joins and departures by source, quality by source, UTM and referring pages, and cohort retention
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/growth?period=30d"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/growth?period=30d';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/growth?period=30d' \ --header 'Authorization: Bearer <token>'Permission: subscribers:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
Query Parameters
Section titled “Query Parameters”30d (default), 90d, 12m or custom
30d (default), 90d, 12m or custom
First day of a custom period (YYYY-MM-DD)
First day of a custom period (YYYY-MM-DD)
Last day of a custom period
Last day of a custom period
A list id: count its members instead of contacts
A list id: count its members instead of contacts
Responses
Section titled “Responses”OK
object
object
object
object
object
object
object
object
object
YYYY-MM
object
Every finished import, for the only-imports state
object
object
object
object
YYYY-MM-DD
YYYY-MM-DD
object
object
object
object
object
object
object
object
object
object
object
object
object
Example
{ "cohorts": [ { "after30": { "state": "done" }, "after90": { "state": "done" } } ], "period": { "kind": "30d" }, "sources": [ { "tooFew": "contacts" } ]}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}